package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Imguse;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ImguseMapper {

    int insert(Imguse record);

    int insertSelective(Imguse record);

    int updateByPrimaryKey(Imguse record);

    int deleteByPrimaryKey(Imguse record);

    List<Imguse> selectByOwnref(String ownref);

    List<Imguse> selectImgByMsgId(String msgid);

    List<Imguse> selectImgByMsgIdL(String msgid);

    int updateImguseInfo(Imguse imguse);

    int updateFileInfo(@Param("filtyp")String filtyp,@Param("msgid")String msgid);

    List<Imguse> selectNSUDImg(String filguid);

    List<Imguse> selectSUDImg(String filguid);

    List<Imguse> selectByImgnum(String imgnum);

    List<Imguse> selectByImagid(String imagid);

    List<Imguse> selectByImagidL(String imagid);

    List<Imguse> selectBySptinr(String sptinr);

    List<Imguse> selectByImfinr(String imfinr);

    List<Imguse> selectByImgnumList(@Param("imgnumList") List<String> imgnumList);

    int deleteByImgnum(String imgnum);

    int updateOwnrefByImfinr(@Param("imfinr") String imfinr, @Param("ownref") String ownref);

    Imguse selectByPrimaryKey(String inr);

    List<Imguse> selectJDFPByImgnum(String imgnum);

    int updateFilsta(Imguse record);

    Imguse selectByImgnumAndFiletxt(@Param("imgnum") String imgnum, @Param("filtext") String filtext);

    int updateSelfByInrList(@Param("inrList") List<String> inrList);

    List<Imguse> selectBySelfownref(String ownref);

    List<Imguse> selectJDFPByImgnumList(@Param("imgnumList") List<String> imgnumList);
}


